/*
 * file:        UI.h
 * purpose:     helpers for user interface
 * project:     c++ framework for avr controllers
 * author:      Reinhard Mantey
 * copyright:   2014-2016 (c) Creative commons - by-nc-sa - some rights reserved
 *              see http://creativecommons.org/licenses/by-nc-sa/3.0/ for details
 */
#ifndef UI_H
#define UI_H
#include "Base.h"
#include "LCD.h"

namespace srd {

enum WorkMode {
  MD_CONFIG,
  MD_LIGHT,
  MD_COUNTDOWN,
  MD_DONE,
  MD_SHOWTIME
  };


struct Work {
  uint32_t      counter;
  uint32_t      countDown;
  int8_t        mode;
  char          buf[12];
  };

EXTERN struct Work work;

};
#endif
