/*
 * file:        Runnable.h
 * purpose:     declare a base class for anonymous actions
 * project:     c++ framework for avr controllers
 * author:      Reinhard Mantey
 * copyright:   2003-2016 (c) Creative commons - by-nc-sa - some rights reserved
 *              see http://creativecommons.org/licenses/by-nc-sa/3.0/ for details
 */
#ifndef RUNNABLE_H
#define RUNNABLE_H
#include "Base.h"

namespace srd {

// base class vor clients
class Runnable
{
public:
  virtual ~Runnable();
  virtual void run();
  };

};
#endif
